=== debian/control ===
Source: ros-rolling-rosbag2-tests
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rclcpp <!nocheck>, ros-rolling-rcpputils <!nocheck>, ros-rolling-ros2bag <!nocheck>, ros-rolling-rosbag2-compression <!nocheck>, ros-rolling-rosbag2-compression-zstd <!nocheck>, ros-rolling-rosbag2-cpp <!nocheck>, ros-rolling-rosbag2-interfaces <!nocheck>, ros-rolling-rosbag2-storage <!nocheck>, ros-rolling-rosbag2-storage-default-plugins <!nocheck>, ros-rolling-rosbag2-test-common <!nocheck>, ros-rolling-std-msgs <!nocheck>, ros-rolling-test-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-ros-workspace
Description: Tests package for rosbag2
